/*
  LiquidCrystal Library - Hello World
 
 Demonstrates the use a 16x2 LCD display.  The LiquidCrystal
 library works with all LCD displays that are compatible with the 
 Hitachi HD44780 driver. There are many of them out there, and you
 can usually tell them by the 16-pin interface.
 
 LCD & 74164 8-bit shift reg.  Only 3 wire!
 
 This sketch prints "Hello World!" to the LCD
 and shows the time.
 
  The circuit:
 1 * LCD RS pin to digital pin 12 & 74164 pin 1,2 (DAT)
 2 * LCD Enable pin to digital pin 11
 * LCD D4 pin to 74164 pin 6 (Q3)
 * LCD D5 pin to 74164 pin 5 (Q2)
 * LCD D6 pin to 74164 pin 4 (Q1)
 * LCD D7 pin to 74164 pin 3 (Q0)
 * LCD R/W pin & 74164 RES (9) to ground
 3 * 74164 pin 8 (CLK) to pin 10
 * 10K resistor:
 * ends to +5V and ground
 * wiper to LCD VO pin (pin 3)  [+0,65V]
 
 Library originally added 18 Apr 2008
 by David A. Mellis
 library modified 5 Jul 2009
 by Limor Fried (http://www.ladyada.net)
 example added 9 Jul 2009
 by Tom Igoe
 modified 22 Nov 2010
 by Tom Igoe
 library modified to 74164  26 Feb 2015
 by Alexey Pakhomov
 
 This example code is in the public domain.

 http://www.arduino.cc/en/Tutorial/LiquidCrystal
 */

// include the library code:
#include <LiquidCrystal_164.h>

// initialize the library with the numbers of the interface pins
LiquidCrystal lcd(12, 11, 10);

void setup() {
  // set up the LCD's number of columns and rows: 
  lcd.begin(16, 2);
  // Print a message to the LCD.
  lcd.print("hello, world!");
}

void loop() {
  // set the cursor to column 0, line 1
  // (note: line 1 is the second row, since counting begins with 0):
  lcd.setCursor(0, 1);
  // print the number of seconds since reset:
  lcd.print(millis()/1000);
}

